# Class GradleException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `BuildCancelledException, CircularReferenceException, ConfigurationCycleException, org.gradle.internal.exceptions.DefaultMultiCauseException, DuplicateFileCopyingException, org.gradle.process.internal.ExecException, GradleScriptException, IllegalDependencyNotation, InvalidActionClosureException, InvalidModelException, InvalidModelRuleDeclarationException, InvalidModelRuleException, InvalidPluginException, InvalidUserCodeException, InvalidUserDataException, ManifestException, ModelInstantiationException, ModelRuleBindingException, PluginInstantiationException, PublishException, ReadOnlyModelViewException, ReportContainer.ImmutableViolationException, ResourceException, StopActionException, TaskInstantiationException, TestExecutionException, UnknownDomainObjectException, UnknownModelException, VerificationException, WriteOnlyModelViewException`

public class GradleException extends RuntimeException

`GradleException` is the base class of all exceptions thrown by Gradle.

Since:
  0.7
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GradleException()`
  Creates a new `GradleException`.
  `GradleException(String message)`
  Creates a new `GradleException`.
  `GradleException(String message, @Nullable Throwable cause)`
  Creates a new `GradleException`.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GradleException

    public GradleException()
    Creates a new `GradleException`.
    Since:
      0.7

  - ### GradleException

    public GradleException(String message)
    Creates a new `GradleException`.
    Since:
      0.7

  - ### GradleException

    public GradleException(String message, @Nullable Throwable cause)
    Creates a new `GradleException`.
    Since:
      0.7